function  WWHBookData_AddTOCEntries(P)

{

var A=P.fN("Preface","2");

var B=A.fN("Typographical Conventions","3");

B=A.fN("Connecting with TIBCO Resources","4");

var C=B.fN("How to Join TIBCOmmunity","4#1000108");

C=B.fN("How to Access TIBCO Documentation","4#1000120");

C=B.fN("How to Contact TIBCO Support","4#1000129");

A=P.fN("Chapter\u00a01 Introduction","5");

B=A.fN("Introduction","6");

A=P.fN("Chapter\u00a02 Concepts and Definitions","7");

B=A.fN("Business Object Model","8");

B=A.fN("UML","9");

B=A.fN("UML Profiles and Stereotypes","10");

B=A.fN("Concept Model","11");

B=A.fN("Diagram Nodes","12");

C=B.fN("About Diagram Nodes","12#1739922");

C=B.fN("Package","12#1734367");

C=B.fN("Class","12#1734355");

C=B.fN("Primitive Type","12#1738586");

C=B.fN("Attribute","12#1734365");

C=B.fN("Operations","12#1739591");

C=B.fN("Enumeration","12#1750194");

C=B.fN("Enumeration Literal","12#1767587");

B=A.fN("Relationships","13");

C=B.fN("About Relationships","13#1760082");

C=B.fN("Generalization","13#1761277");

C=B.fN("Association","13#1760209");

C=B.fN("Composition","13#1758709");

C=B.fN("Aggregation","13#1734371");

C=B.fN("Multiplicity","13#1758686");

C=B.fN("Association Class","13#1756161");

A=P.fN("Chapter\u00a03 Tasks","14");

B=A.fN("Defining a Business Object Model","15");

C=B.fN("Creating an Analysis Project with a Business Object Model","15#1720665");

C=B.fN("Creating a Business Object Model in an Existing Project","15#1763672");

B=A.fN("Creating a Model by Import","16");

C=B.fN("Importing from a Database","16#1753264");

C=B.fN("Importing UML Models","16#1753308");

C=B.fN("Importing XML Schema Files","16#1753328");

C=B.fN("Importing WSDL Files","16#1753356");

B=A.fN("Editing Models","17");

C=B.fN("Adding Diagram Nodes","17#1755636");

C=B.fN("Creating Connections","17#1727330");

C=B.fN("Adding Text to a Model","17#1730022");

B=A.fN("Adding a Child Diagram to a Business Object Model","18");

C=B.fN("Adding Elements to the Child Diagram","18#1756977");

C=B.fN("Deleting Elements from the Child Diagram","18#1757785");

B=A.fN("Working with Concept Models","19");

C=B.fN("Migrating Concept Models","19#1731480");

C=B.fN("Creating New Concept Models","19#1727458");

B=A.fN("Working with Models","20");

C=B.fN("Copying Diagram Nodes Between Models","20#1755430");

C=B.fN("Organizing Your Model","20#1727971");

B=A.fN("Using UML Profiles","21");

C=B.fN("Applying a UML Profile","21#1726832");

C=B.fN("Applying Stereotypes","21#1726838");

B=A.fN("Exporting Business Object Model Documentation","22");

C=B.fN("Viewing Business Object Model Documentation","22#1721715");

B=A.fN("Exporting Business Object Models to XML Schema or WSDL Files","23");

C=B.fN("Exporting Business Object Models to XML Schema Files","23#1738562");

C=B.fN("Exporting Business Object Models to WSDL Files","23#1755393");

C=B.fN("Exporting a Class to XML Schema File","23#1737166");

C=B.fN("Exporting a Class to WSDL Format","23#1737185");

B=A.fN("Setting Diagram Preferences","24");

B=A.fN("Setting the Validation Preferences","25");

B=A.fN("Setting Generation Preferences","26");

A=P.fN("Chapter\u00a04 Reference","27");

B=A.fN("Properties View","28");

C=B.fN("Package Properties","28#1729927");

C=B.fN("Class Properties","28#1730042");

C=B.fN("Attribute Properties","28#1740970");

C=B.fN("Operation Properties","28#1730474");

C=B.fN("Primitive Type Properties","28#1735940");

C=B.fN("Enumeration Properties","28#1737620");

C=B.fN("Enumeration Literal Properties","28#1738012");

C=B.fN("Generalization Properties","28#1737618");

C=B.fN("Association/Aggregation/Composition Properties","28#1730548");

C=B.fN("Association Class Properties","28#1741034");

B=A.fN("Fragments View","29");

A=P.fN("Chapter\u00a05 Tips and Tricks","30");

B=A.fN("Business Object Model Editor","31");

A=P.fN("Appendix\u00a0A Business Object Model Mappings to XML Schema","32");

B=A.fN("Import Mappings - XSD to Business Object Model","33");

C=B.fN("XSD SimpleType","33#1773275");

C=B.fN("XSD Complex Type","33#1761342");

C=B.fN("XSD Global Elements","33#1739283");

B=A.fN("Export Mappings","34");

C=B.fN("Primitive Type","34#1749141");

C=B.fN("Class","34#1774752");

C=B.fN("Enumeration","34#1781862");

C=B.fN("Model","34#1775715");

C=B.fN("Package","34#1748851");

C=B.fN("Relationships","34#1725162");

B=A.fN("Data Type Mappings","35");

C=B.fN("XML Schema to Business Object Model Import Mappings","35#1729762");

C=B.fN("Business Object Model to XML Schema Export Mappings","35#1764203");

C=B.fN("Round-trip Export","35#1764227");

B=A.fN("XSD Export Validation Rules","36");

B=A.fN("XSD Import Restrictions","37");

A=P.fN("Appendix\u00a0B Business Object Model Mappings to WSDL","38");

B=A.fN("Worked Example","39");

B=A.fN("WSDL Import Restrictions","40");

B=A.fN("Export Mappings \u2013 Business Object Model to WSDL","41");

}

