function  WWHBookData_AddTOCEntries(P)

{

var A=P.fN("Tables","2");

A=P.fN("Preface","3");

var B=A.fN("Related Documentation","4");

var C=B.fN("Third-Party Documentation","4#1001630");

B=A.fN("Typographical Conventions","5");

B=A.fN("Connecting with TIBCO Resources","6");

C=B.fN("How to Join TIBCOmmunity","6#1002373");

C=B.fN("How to Access TIBCO Documentation","6#1002385");

C=B.fN("How to Contact TIBCO Support","6#1002394");

A=P.fN("I - PROCESS MODELING","7");

A=P.fN("Chapter\u00a01 Getting Started for Designers","8");

B=A.fN("Creating a Project, Package and Process","9");

B=A.fN("Working with Processes","10");

C=B.fN("Adding Objects Using an Object\u2019s Gadget","10#1750457");

C=B.fN("Adding Objects Using the Palette","10#1739013");

C=B.fN("Using an Object\u2019s Gadget to Connect Objects","10#1735519");

C=B.fN("Using Connection Tools on the Palette to Connect Objects","10#1734928");

C=B.fN("Selecting Objects","10#1747739");

C=B.fN("Finding Objects","10#1733380");

C=B.fN("Customizing Palette Favorites","10#1736462");

A=P.fN("Chapter\u00a02 Working with Projects, Packages, and Processes","11");

B=A.fN("Migrating Projects Created in Previous Versions","12");

B=A.fN("Creating a Package","13");

B=A.fN("Copying a Package","14");

B=A.fN("Creating a Business Process","15");

B=A.fN("Creating a Pageflow Process","16");

B=A.fN("Deleting a Process","17");

B=A.fN("Creating Extended Attributes","18");

B=A.fN("Creating Project References","19");

C=B.fN("Creating References in the Project Properties","19#1752250");

C=B.fN("Creating Project References in a Selection Dialog","19#1756047");

B=A.fN("Assets","20");

C=B.fN("Quality Process Business Assets","20#1868600");

C=B.fN("Creating a New Quality Process Project","20#1756136");

C=B.fN("Using Quality Processes in Your Project","20#1756152");

C=B.fN("Adding Ad-hoc Assets","20#1756158");

B=A.fN("Enabling and Disabling Special Folders","21");

B=A.fN("Project Lifecycle","22");

C=B.fN("Changing Project Lifecycle Settings","22#1770859");

C=B.fN("Refactoring Lifecycle Settings","22#1770867");

B=A.fN("Process Fragments","23");

C=B.fN("Migrating Fragments from Previous Versions","23#1760445");

C=B.fN("Using the Predefined Fragments","23#1719465");

C=B.fN("Creating Custom Fragments","23#1719450");

C=B.fN("Importing Custom Fragments","23#1760612");

B=A.fN("Source Control","24");

C=B.fN("Using Subversion with TIBCO Business Studio","24#1875657");

C=B.fN("Creating a Project from an Existing Project in Source Control","24#1708288");

C=B.fN("Browsing SVN Repositories","24#1708297");

C=B.fN("Deleting Projects from SVN Repositories with Asset Central","24#1732318");

B=A.fN("Design Considerations for Process Migration","25");

C=B.fN("Viewing Migration Points","25#1852719");

C=B.fN("Migration Point Restrictions","25#1852553");

B=A.fN("Comparing Different Versions of a Process Package","26");

B=A.fN("Emailing Processes","27");

B=A.fN("Documentation","28");

C=B.fN("Creating Documentation from within TIBCO Business Studio","28#1802884");

C=B.fN("Creating Documentation from the Command Line","28#1802970");

C=B.fN("Generating Documentation On Demand","28#1804997");

C=B.fN("Viewing Documentation","28#1800978");

B=A.fN("Presentation Channels","29");

C=B.fN("Editing Email Attributes at Workspace Level","29#1787751");

C=B.fN("Editing Email Attributes at Project Level","29#1793400");

C=B.fN("Creating an Alternative Email Template","29#1817128");

A=P.fN("Chapter\u00a03 Importing and Exporting Projects","30");

B=A.fN("Importing Existing Studio Projects into Workspace","31");

B=A.fN("Importing Existing Modelled Application Archive (MAA) Files into Workspace","32");

B=A.fN("Importing Archive Files into Workspace","33");

B=A.fN("Importing Nimbus Process Diagrams","34");

C=B.fN("Equivalences between Nimbus Process Diagrams and TIBCO Business Studio BPMN Processes","34#1854298");

B=A.fN("Exporting TIBCO Business Studio Projects to Archive File","35");

B=A.fN("Exporting Projects to File System","36");

B=A.fN("Exporting Projects to Modelled Application Archive (MAA)","37");

B=A.fN("Exporting Projects to a Work Data Model","38");

A=P.fN("Chapter\u00a04 Working with Activities","39");

B=A.fN("Creating References","40");

C=B.fN("Creating a Reference with the Reference Task Gadget","40#1795048");

C=B.fN("Creating a Reference in the Properties View","40#1752915");

B=A.fN("Request Response Operation with Send and Receive Tasks","41");

B=A.fN("Creating Scripts","42");

B=A.fN("User Tasks and Pageflow Processes","43");

C=B.fN("Selecting a Pageflow Process","43#1768156");

C=B.fN("Creating a Pageflow Process From a User Task","43#1768173");

C=B.fN("Synchronizing Parameters With a Pageflow Process","43#1768195");

C=B.fN("Mandatory Parameters and Pageflow Processes","43#1768206");

B=A.fN("Resource Patterns and Work Distribution","44");

C=B.fN("Separation of Duties","44#1794253");

C=B.fN("Retain Familiar","44#1755320");

C=B.fN("Chained Execution- Multiple Parallel Paths in a Chaining Group","44#1761542");

A=P.fN("Chapter\u00a05 Controlling Flow in a Process","45");

B=A.fN("Creating a Standard Loop","46");

B=A.fN("Creating a Multi-Instance Loop","47");

C=B.fN("Adding Additional Instances to a Multi-Instance Loop Task Whilst the Task is in Progress","47#1760640");

C=B.fN("Example - Multiple Instances with Synchronization (WCP-13)","47#1760676");

A=P.fN("Chapter\u00a06 Working with Events","48");

B=A.fN("References Between Throw and Catch Events","49");

B=A.fN("Configuring Timer Event Scripts","50");

B=A.fN("Rescheduling Timer Events","51");

B=A.fN("Using Catch Signal Events","52");

B=A.fN("Throw and Catch Signal Events","53");

B=A.fN("Throw and Catch Error Events","54");

C=B.fN("Configuring Error Events","54#1753107");

C=B.fN("Fixing Invalid Error Events","54#1753242");

C=B.fN("Mapping Error Data","54#1753024");

B=A.fN("Configuring Compensation Events","55");

B=A.fN("Implementing Message Events","56");

C=B.fN("Receiving a One-Way Request Operation","56#1757166");

C=B.fN("Sending a One-Way Request Operation","56#1755545");

C=B.fN("Receiving a Request-Response Operation","56#1755712");

B=A.fN("Event Handlers","57");

C=B.fN("Using Event Handlers in Pageflows","57#1765354");

C=B.fN("Using Message Event Handlers in Business Processes","57#1769873");

C=B.fN("Migration and Upgrade when using Event Handlers","57#1778391");

A=P.fN("Chapter\u00a07 Working with Process Data","58");

B=A.fN("Adding Data Fields or Parameters to a Package or Process","59");

C=B.fN("Using the Properties View","59#1753091");

C=B.fN("Using the Wizards","59#1753081");

C=B.fN("Constraints on Field or Parameter Values","59#1781244");

B=A.fN("Adding Data Fields to an Activity","60");

B=A.fN("Creating Correlation Data","61");

C=B.fN("Creating Correlation Data Using the Properties View","61#1757329");

C=B.fN("Creating Correlation Data Using the Wizard","61#1757349");

B=A.fN("Associating Process Data with Events and Tasks","62");

B=A.fN("Associating Correlation Data with an Event or Task","63");

B=A.fN("Setting Event and Task Visibility (Private and Public)","64");

B=A.fN("Using Process Data to Create Tasks","65");

B=A.fN("Creating a Participant","66");

C=B.fN("Associating Participants with Activities","66#1717713");

C=B.fN("Exporting Participants to an Organization Model","66#1765442");

C=B.fN("Participant to Organization Model Mapping","66#1765631");

C=B.fN("Using Participants to Create Tasks","66#1761948");

C=B.fN("Deleting Data Fields, Parameters, Participants, and Type Declarations","66#1728616");

A=P.fN("Chapter\u00a08 Using Sub-Processes and Process Interfaces","67");

B=A.fN("Reusable Sub-Processes","68");

C=B.fN("Expanding a Sub-Process","68#1705710");

C=B.fN("Configuring a Sub-Process","68#1808437");

C=B.fN("Prioritizing a Scheduled Reuseable Sub-Process","68#1813205");

B=A.fN("Embedded Sub-Processes","69");

C=B.fN("Adding Local Data Fields","69#1776978");

C=B.fN("Creating a New Embedded Sub-Process","69#1714893");

C=B.fN("Creating a New Reusable Sub-Process","69#1805197");

C=B.fN("Inline Sub-Process Content","69#1752751");

B=A.fN("Inline Sub-Process in Detail","70");

C=B.fN("Data Fields and Mapped Parameters","70#1750415");

C=B.fN("Sub-Process Data Fields and Unmapped Formal Parameters","70#1750583");

C=B.fN("Sub-Process Participants And Type Declarations","70#1751654");

B=A.fN("Process Interfaces","71");

B=A.fN("Creating a Process Interface","72");

B=A.fN("Error Codes and Process Interfaces","73");

B=A.fN("Making a Sub-Process Call to a Process Interface","74");

B=A.fN("Modifying a Process Interface","75");

B=A.fN("Dynamic Sub-Processes","76");

C=B.fN("Creating Dynamic Sub-Processes","76#1795153");

C=B.fN("Automatically Passing Different Data To and From Sub-Process Instances","76#1794982");

A=P.fN("Chapter\u00a09 Integrating with Other Applications","77");

B=A.fN("Destinations and Validation","78");

C=B.fN("Correcting Validation Errors","78#1746351");

C=B.fN("Setting the Validation Preferences","78#1746904");

C=B.fN("Configuring the Problems View","78#1749057");

B=A.fN("Integration with ARIS Software","79");

C=B.fN("Creating Custom Symbols in ARIS Business Designer (Optional)","79#1750245");

C=B.fN("Using Custom Symbols in TIBCO Business Studio","79#1750260");

C=B.fN("Preparing to Export from ARIS to XML","79#1750296");

C=B.fN("Exporting from ARIS to XML","79#1750308");

C=B.fN("Importing ARIS XML Files into TIBCO Business Studio","79#1750322");

B=A.fN("Object Mappings \u2014 ARIS Software","80");

C=B.fN("Extended Attributes","80#1750494");

A=P.fN("II - BUSINESS OBJECT MODELING","81");

A=P.fN("Chapter\u00a010 Business Object Modeler Tasks","82");

B=A.fN("Business Object Model Definition","83");

C=B.fN("Creating an Analysis Project with a Business Object Model","83#1720665");

C=B.fN("Creating a Business Object Model in an Existing Project","83#1763672");

B=A.fN("Creating a Model by Import","84");

C=B.fN("Importing a Business Object Model from a Database","84#1753264");

C=B.fN("Importing Existing UML Models into the Business Object Modeler","84#1753308");

C=B.fN("Importing XML Schema Files","84#1753328");

C=B.fN("Importing WSDL Files","84#1753356");

B=A.fN("Editing Models","85");

C=B.fN("Adding Diagram Nodes","85#1755636");

C=B.fN("Creating Connections","85#1727330");

C=B.fN("Adding Text to a Model","85#1777360");

B=A.fN("Adding a Child Diagram to a Business Object Model","86");

C=B.fN("Adding Elements to the Child Diagram","86#1756977");

C=B.fN("Deleting Elements from the Child Diagram","86#1757785");

B=A.fN("Concept Models","87");

C=B.fN("Migrating Concept Models","87#1731480");

C=B.fN("Creating New Concept Models","87#1727458");

B=A.fN("Working with Models","88");

C=B.fN("Copying Diagram Nodes Between Models","88#1755430");

C=B.fN("Organizing Your Model","88#1727971");

B=A.fN("UML Profiles","89");

C=B.fN("Applying a UML Profile to a Business Object Model","89#1726832");

C=B.fN("Applying Stereotypes","89#1726838");

B=A.fN("Exporting Business Object Model Documentation","90");

C=B.fN("Viewing Business Object Model Documentation","90#1721715");

B=A.fN("Exporting Business Object Models to XML Schema or WSDL Files","91");

C=B.fN("Exporting Business Object Models to XML Schema Files","91#1738562");

C=B.fN("Exporting Business Object Models to WSDL Files","91#1755393");

C=B.fN("Exporting a Class to XML Schema File","91#1737166");

C=B.fN("Exporting a Class to WSDL Format","91#1737185");

B=A.fN("Setting Diagram Preferences","92");

B=A.fN("Setting the Validation Preferences","93");

B=A.fN("Setting Generation Preferences","94");

A=P.fN("Chapter\u00a011 Business Object Model Mappings to XML Schema","95");

B=A.fN("Import Mappings - XSD to Business Object Model","96");

C=B.fN("XSD SimpleType","96#1773275");

C=B.fN("XSD Complex Type","96#1761342");

C=B.fN("XSD Global Elements","96#1794838");

B=A.fN("Export Mappings","97");

C=B.fN("Primitive Type","97#1749141");

C=B.fN("Class","97#1774752");

C=B.fN("Enumeration","97#1781862");

C=B.fN("Model","97#1775715");

C=B.fN("Package","97#1748851");

C=B.fN("Relationships","97#1725162");

B=A.fN("Data Type Mappings","98");

C=B.fN("XML Schema to Business Object Model Import Mappings","98#1729762");

C=B.fN("Business Object Model to XML Schema Export Mappings","98#1764203");

C=B.fN("Round-trip Export","98#1764227");

B=A.fN("XSD Export Validation Rules","99");

B=A.fN("XSD Import Restrictions","100");

A=P.fN("Chapter\u00a012 Business Object Model Mappings to WSDL","101");

B=A.fN("Worked Example","102");

B=A.fN("WSDL Import Restrictions","103");

B=A.fN("Export Mappings \u2013 Business Object Model to WSDL","104");

A=P.fN("III - ORGANIZATION MODELING","105");

A=P.fN("Chapter\u00a013 Creating an Organization Model","106");

B=A.fN("Creating an Organization Model","107");

C=B.fN("Creating a Project Containing an Organization Model","107#1761617");

C=B.fN("Adding an Organization Model in an Existing Project","107#1761456");

B=A.fN("Creating a Schema","108");

C=B.fN("Using Your Own Schema Types","108#1739621");

C=B.fN("Creating Types in the Schema","108#1726723");

B=A.fN("Using the Organization Modeler Diagram Editors","109");

C=B.fN("Adding Objects in Organization Modeler Diagrams","109#1734433");

C=B.fN("Adding Notes and Labels","109#1736491");

C=B.fN("Tailoring the Appearance of Organization Modeler Diagrams","109#1736557");

B=A.fN("Opening an Organization Model","110");

C=B.fN("Creating an Organization","110#1772726");

C=B.fN("Creating an Organization Unit","110#1725878");

C=B.fN("Creating a Position","110#1724168");

C=B.fN("Creating a Group","110#1724172");

C=B.fN("Creating Capabilities","110#1729244");

C=B.fN("Creating Privileges","110#1749402");

C=B.fN("Creating a Location","110#1749006");

C=B.fN("Creating a Resource","110#1729349");

C=B.fN("Creating Queries","110#1767423");

B=A.fN("Using a Schema in an Organization Model","111");

B=A.fN("Exporting Organization Model Documentation","112");

C=B.fN("Viewing Organization Model Documentation","112#1749812");

A=P.fN("IV - REFERENCE","113");

A=P.fN("Chapter\u00a014 Troubleshooting","114");

B=A.fN("Application Upgrade Issue","115");

C=B.fN("","115#1681021");

B=A.fN("Default Channels are Unavailable","116");

B=A.fN("Submenus Selection not Available when you Switch Workspace","117");

B=A.fN("Manual Deletion of Presentation Resources Special Folder Problem","118");

B=A.fN("Refactoring When Importing from Studio for Analysts into Studio for Designers","119");

B=A.fN("Importing Projects","120");

C=B.fN("Importing Projects into your Workspace which were Created in a Previous Version of TIBCO Business Studio","120#1681623");

C=B.fN("Importing Projects from Subversion","120#1681676");

A=P.fN("Chapter\u00a015 Reference","121");

B=A.fN("Project Explorer View","122");

B=A.fN("Problems View","123");

B=A.fN("Outline View","124");

B=A.fN("Fragments View","125");

B=A.fN("Process Modeler Properties View","126");

C=B.fN("Labels and Names","126#1751372");

C=B.fN("Process Properties","126#1711499");

C=B.fN("Activity Properties","126#1710446");

C=B.fN("Gateway Properties","126#1710993");

C=B.fN("Sequence Flow Properties","126#1717281");

C=B.fN("Event Properties","126#1719388");

C=B.fN("Lane Properties","126#1720304");

B=A.fN("Cheat Sheets View","127");

B=A.fN("Process Editor","128");

C=B.fN("Palette","128#1701436");

C=B.fN("Alignment Tools","128#1697050");

B=A.fN("Business Object Modeler Properties View","129");

C=B.fN("Package Properties","129#1765621");

C=B.fN("Class Properties","129#1765711");

C=B.fN("Attribute Properties","129#1765827");

C=B.fN("Operation Properties","129#1765920");

C=B.fN("Primitive Type Properties","129#1766018");

C=B.fN("Enumeration Properties","129#1766119");

C=B.fN("Enumeration Literal Properties","129#1766219");

C=B.fN("Generalization Properties","129#1766288");

C=B.fN("Association/Aggregation/Composition Properties","129#1766388");

C=B.fN("Association Class Properties","129#1766489");

B=A.fN("Organization Modeler Properties View","130");

C=B.fN("Organization Model Properties","130#1763817");

C=B.fN("Organization Properties","130#1763929");

C=B.fN("Organization Unit Properties","130#1764032");

C=B.fN("Hierarchy and Association Properties","130#1764208");

C=B.fN("Position Properties","130#1764290");

C=B.fN("Group Properties","130#1764456");

C=B.fN("Category Properties","130#1764604");

C=B.fN("Capability Properties","130#1764639");

B=A.fN("Properties View for the Organization Schema","131");

C=B.fN("Organization Type Properties","131#1764971");

C=B.fN("Organization Unit Type","131#1764999");

C=B.fN("Position Type Properties","131#1765027");

C=B.fN("Location Type Properties","131#1765055");

C=B.fN("Organization Unit Relationship Type Properties","131#1765084");

C=B.fN("Resource Type Properties","131#1765113");

A=P.fN("Chapter\u00a016 Tips and Tricks","132");

B=A.fN("Process Editor","133");

B=A.fN("Business Object Model Editor","134");

B=A.fN("Workbench","135");

B=A.fN("Problems View","136");

}

