function  WWHBookData_AddTOCEntries(P)

{

var A=P.fN("List of Tables","2");

A=P.fN("List of Figures","3");

A=P.fN("Preface","4");

var B=A.fN("Changes from the Previous Release of this Guide","5");

B=A.fN("Typographical Conventions","6");

B=A.fN("Connecting with TIBCO Resources","7");

var C=B.fN("How to Join TIBCOmmunity","7#998602");

C=B.fN("How to Access TIBCO Documentation","7#998614");

C=B.fN("How to Contact TIBCO Support","7#998623");

A=P.fN("Chapter\u00a01 Getting Started","8");

B=A.fN("Introduction","9");

C=B.fN("Using TIBCO Business Studio","9#1721389");

C=B.fN("Who Should Use TIBCO Business Studio Forms?","9#1704361");

B=A.fN("Tutorials","10");

B=A.fN("Installing the Forms Tutorial Solutions Project","11");

B=A.fN("Tutorial 1: Forms, Panes, and Controls","12");

C=B.fN("Task A: Import the Sample Project","12#1770081");

C=B.fN("Task B: Examine the Claims Process Business Process","12#1722043");

C=B.fN("Task C: Open the Forms","12#1721637");

C=B.fN("Task D: View Forms","12#1759103");

C=B.fN("Task E: Add New Panes to the Capture Claim Form","12#1727926");

C=B.fN("Task F: Modify Names and Labels of Panes","12#1786920");

C=B.fN("Task G: Drag Controls into Appropriate Panes","12#1729704");

C=B.fN("Summary of Tutorial 1","12#1732433");

B=A.fN("Tutorial 2: Customizing the Appearance of a Form","13");

C=B.fN("Task A: Change the Background Colors of Panes","13#1771189");

C=B.fN("Task B: Change the Label Width Property of the Panes","13#1733542");

C=B.fN("Task C: Preview of Finished Forms","13#1771928");

C=B.fN("Summary of Tutorial 2","13#1771915");

B=A.fN("Tutorial 3: Validations","14");

C=B.fN("Task A: Switch to Solution Design Mode","14#1771232");

C=B.fN("Task B: Add Validation for Phone Field","14#1767295");

C=B.fN("Task C: Add Syntax Validation for Email Field","14#1768212");

C=B.fN("Task D: Add a Second Validation for Email Field","14#1734953");

C=B.fN("Task E: Add Validation for Date of Birth Field","14#1734590");

C=B.fN("Task F: Examine Auto-Generated Validation for Age Field","14#1734603");

C=B.fN("Task G: Edit Validation for Claim Amount Field","14#1734621");

C=B.fN("Task H: Add Validation for Time of Accident Field","14#1734635");

C=B.fN("Task I: Add Validation for Phone Field","14#1734685");

C=B.fN("Summary of Tutorial 3","14#1734683");

B=A.fN("Tutorial 4: Rules, Events, and Actions","15");

C=B.fN("Task A: Create a Rule to Compute Age (Capture Claim Form)","15#1788616");

C=B.fN("Task B: Create Rule to Update Required Option for Guardian When Age &lt; 21","15#1789408");

C=B.fN("Task C: Create Rule to Round Amount to Nearest Dollar","15#1790044");

C=B.fN("Task D: Create Rules that Display Hint on Specifying Claim Amount Controls","15#1820942");

C=B.fN("Task E: Create Rules that Hide Hints on Exiting Amount Controls","15#1791045");

C=B.fN("Task F: Create Rules to Display Context-Specific Hints on Specifying Customer Description Control","15#1790144");

C=B.fN("Task G: Create Rules to Hide Hints on Exiting Customer Description Control","15#1814674");

C=B.fN("Task H: Defining Custom Actions for Buttons","15#1814761");

C=B.fN("Summary of Tutorial 4","15#1735835");

A=P.fN("Chapter\u00a02 Concepts","16");

B=A.fN("The Modeling Environment for Forms","17");

C=B.fN("Working with Forms","17#1766795");

B=A.fN("The Form","18");

C=B.fN("Basic Terms for Working with Forms","18#1756375");

B=A.fN("Form Builder and Form Validation","19");

B=A.fN("Bindings","20");

C=B.fN("Setting Bindings","20#1913644");

C=B.fN("Direction of Bindings","20#1828724");

B=A.fN("Actions","21");

C=B.fN("Actions Summary Table","21#1787795");

B=A.fN("Rules","22");

C=B.fN("Rules Summary Table","22#1786211");

B=A.fN("The Design Tab and Preview Tabs","23");

C=B.fN("Presentation Channel Settings","23#1834375");

C=B.fN("Port Settings for Preview","23#1869719");

C=B.fN("Copying the Form Preview URL","23#1909222");

C=B.fN("Logging","23#1909855");

C=B.fN("Locale","23#1778711");

C=B.fN("Logging Level","23#1838822");

C=B.fN("Reload","23#1834968");

C=B.fN("Performance Metrics","23#1838688");

C=B.fN("View Datastore Data","23#1892533");

C=B.fN("Visibility in the Preview Tab","23#1838635");

B=A.fN("Outline View","24");

C=B.fN("Thumbnail Mode","24#1765842");

C=B.fN("Tree Mode","24#1765855");

C=B.fN("Using the Outline View with Forms","24#1765868");

C=B.fN("Parameters","24#1765890");

C=B.fN("Shared Actions","24#1789247");

C=B.fN("Rules","24#1772018");

C=B.fN("Managing Form Elements From the Outline View","24#1771808");

C=B.fN("Use Business Labels in Outline View","24#1785857");

B=A.fN("Using the Business Object Model","25");

C=B.fN("The Objects in a Business Object Model","25#1802184");

B=A.fN("Cross-Resource References","26");

C=B.fN("Breakage Mechanisms","26#1880048");

C=B.fN("Quick Fixes","26#1880674");

B=A.fN("Mobile Forms","27");

C=B.fN("Working with Mobile Forms","27#1813649");

C=B.fN("Mobile Specific Configuration of Controls and Panes","27#1812951");

C=B.fN("Rendering of Mobile Forms","27#1814030");

B=A.fN("Problem Markers","28");

C=B.fN("Quick Fixes","28#1778019");

A=P.fN("Chapter\u00a03 Tasks","29");

B=A.fN("Creating a New Form","30");

B=A.fN("Using Drag and Drop Gesture to Customize a Form","31");

B=A.fN("Edit or Remove the Validation Script","32");

B=A.fN("Working with Bindings, Actions, and Rules","33");

C=B.fN("Setting Bindings","33#1808810");

C=B.fN("Setting Actions","33#1892051");

C=B.fN("Setting Rules","33#1793690");

B=A.fN("Styling Forms Using Cascading Style Sheets","34");

C=B.fN("Setting CSS Classes","34#1836482");

C=B.fN("Using an external CSS resource","34#1836484");

C=B.fN("Best Practices","34#1836529");

C=B.fN("Examples","34#1836540");

B=A.fN("Validating Data in a Form","35");

C=B.fN("Helping Users with Validation Messages","35#1979088");

C=B.fN("Implementing Validations","35#1979097");

C=B.fN("Enabling or Disabling a Validation","35#1996124");

B=A.fN("Calling External JavaScript Functions","36");

B=A.fN("Configuring Panes","37");

C=B.fN("Nesting Panes","37#1976320");

C=B.fN("Resequencing Tabbed Panes","37#1756293");

C=B.fN("Resizing a Tabbed Pane","37#1756456");

C=B.fN("Viewing Pane and Control Borders","37#1766751");

B=A.fN("Using Embedded Forms","38");

C=B.fN("Working with Embedded Forms","38#1869563");

C=B.fN("Working with Embedded Form Parameters","38#1864981");

C=B.fN("Rendering of Embedded Forms","38#1896855");

C=B.fN("Editing Embedded Forms","38#1871646");

B=A.fN("Working with the Mappings Tab","39");

B=A.fN("Customizing Property Resource Bundles","40");

C=B.fN("The Merging Process","40#2005451");

C=B.fN("Customizing Property Resource Bundles","40#2005472");

C=B.fN("Validations Related to Custom Common Resources","40#2005581");

B=A.fN("Customizing the Form\u2019s Preview Data","41");

C=B.fN("Editing the File [form-name].data.json","41#1842237");

C=B.fN("Configure the Setting in the Properties View","41#1843156");

B=A.fN("Using Form Data Fields","42");

C=B.fN("What Is a Form Data Field?","42#1843425");

C=B.fN("Configuring a Form Data Field","42#1843471");

B=A.fN("Using Numeric Controls","43");

C=B.fN("What is a Numeric Control?","43#1876898");

C=B.fN("Inserting a Numeric Control","43#1857928");

C=B.fN("Editing a Numeric Control","43#1858395");

B=A.fN("Localizing a Form","44");

C=B.fN("Defining Localization Properties Outside the Form","44#1843509");

B=A.fN("Toggling between Business Analysis and Solution Design Modes","45");

B=A.fN("Migrating from Previous Versions of TIBCO Business Studio Forms","46");

C=B.fN("Migrating from TIBCO Business Studio Version 2.2 and 3.0 to Version 3.1","46#1821141");

A=P.fN("Chapter\u00a04 Advanced Tasks","47");

B=A.fN("Import the Forms Advanced Samples","48");

B=A.fN("Using CSS to Customize the Rendering of a Form Control","49");

B=A.fN("Creating Custom Add and Delete Buttons for a Grid Pane","50");

B=A.fN("Using Editable List Controls","51");

B=A.fN("Changing a Control\u2019s Background Color Based on its Value","52");

B=A.fN("Controlling the Visibility of a Pane Based on the Value of a Control","53");

B=A.fN("Using a Check Box to Set Properties for Another Control","54");

B=A.fN("Using a Business Object Model with Multiple Sub-types","55");

B=A.fN("Using Enumerations as Choices in an Optionlist or Radiogroup","56");

B=A.fN("Validating Commonly Used Primitive Types","57");

A=P.fN("Chapter\u00a05 Performance Improvements","58");

B=A.fN("Static Rendering","59");

C=B.fN("How does Static Rendering Improve Performance?","59#1897609");

C=B.fN("When to Use Static Rendering","59#1897192");

C=B.fN("Configuration of Static Rendering","59#1895944");

C=B.fN("Static Rendering Constraints","59#1897385");

B=A.fN("Deferred Rendering and Deferred Initialization","60");

C=B.fN("How do Deferred Rendering and Deferred Initialization Improve Performance?","60#1904196");

C=B.fN("Configuration of Deferred Rendering and Deferred Initialization","60#1904607");

C=B.fN("Deferred Rendering and Deferred Initialization Constraints","60#1901786");

A=P.fN("Chapter\u00a06 Custom Controls","61");

B=A.fN("Overview","62");

B=A.fN("Defining Custom Controls","63");

C=B.fN("Working with the Component Library File","63#1935349");

C=B.fN("Working with the ControlWrapper","63#1934712");

C=B.fN("Using the Custom Control","63#1934920");

B=A.fN("Runtime Life Cycle of Custom Controls","64");

C=B.fN("Runtime Life Cycle of Custom Control Used within Grid Pane","64#1935987");

B=A.fN("Component Library Model","65");

C=B.fN("Library","65#1907852");

C=B.fN("Palette Drawer","65#1909024");

C=B.fN("Event Type","65#1909299");

C=B.fN("External Resource","65#1909135");

C=B.fN("Control Type","65#1909231");

B=A.fN("Control Wrapper Implementation","66");

C=B.fN("initialize()","66#1919632");

C=B.fN("refresh()","66#1919646");

C=B.fN("destroy()","66#1919652");

C=B.fN("getValue()","66#1919654");

C=B.fN("getFormattedValue()","66#1919662");

C=B.fN("isReady()","66#1919671");

C=B.fN("setFocus()","66#1919675");

C=B.fN("compare()","66#1919677");

C=B.fN("renderStatic()","66#1919688");

B=A.fN("Component Interface","67");

C=B.fN("generateId()","67#1919839");

C=B.fN("getControl()","67#1920112");

C=B.fN("getFactory()","67#1920177");

C=B.fN("getForm()","67#1920262");

C=B.fN("getHintId()","67#1920322");

C=B.fN("getLabelId()","67#1920837");

C=B.fN("getLocale()","67#1920908");

C=B.fN("getParentNode()","67#1920980");

C=B.fN("getPresentationURL()","67#1970242");

C=B.fN("getResources()","67#1970244");

C=B.fN("getValidationMessageIds()","67#1921106");

C=B.fN("raiseEvent()","67#1921327");

B=A.fN("BOM JavaScript API for Custom Controls","68");

C=B.fN("Factory Methods","68#1922149");

C=B.fN("BOM Class Methods","68#1922301");

C=B.fN("BOM Class Instance Methods","68#1924628");

B=A.fN("Utility Methods","69");

A=P.fN("Chapter\u00a07 Reference","70");

B=A.fN("The Workbench","71");

B=A.fN("The Palette for the Form Designer","72");

B=A.fN("Panes","73");

C=B.fN("Types of Panes","73#1862305");

C=B.fN("Setting Pane Properties with Bindings and Rules","73#1958583");

B=A.fN("Controls","74");

C=B.fN("Using \"Edit as List\" with a Control","74#1913269");

C=B.fN("Using Control or Component Labels","74#2001214");

B=A.fN("Properties View Tabs","75");

C=B.fN("Properties View for Forms","75#1840923");

C=B.fN("Properties View for Panes","75#1878617");

C=B.fN("Properties View for Controls","75#1936924");

B=A.fN("Configuring Parameters","76");

B=A.fN("Context Menus","77");

C=B.fN("Outline View Context Menu","77#1860824");

C=B.fN("Form Designer Canvas Context Menu","77#1860829");

B=A.fN("Keyboard Shortcuts","78");

C=B.fN("Grid Panes","78#2010743");

C=B.fN("List Controls","78#2020614");

C=B.fN("Record Panes","78#2021133");

C=B.fN("Tabbed Panes","78#2022355");

B=A.fN("CSS Classes","79");

C=B.fN("Built-in Static CSS Classes","79#1949345");

C=B.fN("Built-in Dynamic CSS Classes","79#1949465");

B=A.fN("Common Resource Keys","80");

C=B.fN("Keys for Number Patterns","80#1991018");

C=B.fN("Keys for Basic Number and Currency Symbols","80#1989914");

C=B.fN("Keys for Duration Control Labels","80#1991962");

C=B.fN("Keys for Date-Time Patterns","80#1992109");

C=B.fN("Keys for Optionlist Controls","80#1993174");

C=B.fN("Keys for Built-in Buttons","80#1993243");

C=B.fN("Keys for Grid and Record Panes","80#2032123");

C=B.fN("Keys for Built-in Validation Messages","80#1994499");

C=B.fN("Keys for List Controls","80#1995100");

C=B.fN("Keys for Implicit Validation Messages","80#2003311");

C=B.fN("Miscellaneous Keys","80#2003500");

B=A.fN("Design-time Constraints","81");

B=A.fN("Client-side Validations","82");

B=A.fN("Scripting","83");

C=B.fN("Forms Scripting: Scope of Variables","83#1791140");

C=B.fN("Forms Scripting: Order of Script Execution","83#1830174");

B=A.fN("API for Scripting","84");

C=B.fN("Methods","84#1887794");

C=B.fN("Complex Data","84#1905729");

C=B.fN("Factories","84#1888322");

C=B.fN("Packages","84#1888333");

C=B.fN("DateTimeUtil Factory","84#1888337");

C=B.fN("Duration Class","84#1786096");

C=B.fN("Utility Methods","84#1980148");

A=P.fN("Chapter\u00a08 Tips and Tricks","85");

B=A.fN("Recommendations for Forms Modeling","86");

B=A.fN("Tips for Using TIBCO Business Studio Forms","87");

}

